%
%
%
%
%
%          %%%%%%%%%%%   %%%%%%%%%%%%   %            %  %%%%%%%%%%%%
%         %%         %%  %          %%  %            %  %
%         %           %  %           %  %            %  %
%         %           %  %           %  %            %  %
%         %           %  %           %  %            %  %%
%         %           %  %           %  %            %   %%%%%%%%%% 
%         %           %  %%%%%%%%%%%%%  %            %            %%
%         %           %  %              %            %             %
%         %           %  %              %            %             %
%         %           %  %              %            %             %
%         %           %  %              %            %             %
%         %%         %%  %              %%          %%            %%
%          %%%%%%%%%%%   %               %%%%%%%%%%%%   %%%%%%%%%%% 
%
%
%
%
%
%
%
%                             Sample Control File 
%                             -------------------
%
%
%                 The POLE's OPUS Computer Conversation System
%            (c)Copyright, 1986; Wynn Wagner III; All Rights Reserved
%
%                              9 November 1986
%
%
%                          Control file compiler 7
%
%
%
%
%
%
%
%
%
%
%
% This is your best and most complete source of information on how to
% setup and customize an Opus system.
%
%
%
% ---------------------------------------------------------------------
% GENERAL INFORMATION ABOUT THE CONTROL FILE
% ---------------------------------------------------------------------
%
% A file like this is used by the Opus compiler (OPUS_CTL.EXE) to produce 
% a data file for the Opus system.  This file is NOT used during the actual 
% operation of the Opus system.  Opus itself with use the data file...
% called a "parameter file".
%
% Opus_Ctl.Exe takes a CTL file and compiles it to a PRM file.  The
% word PRM means "parameters."  To submit the control file to the
% compiler type Opus_Ctl and the name of the control file.  For example
%
%                               Opus_Ctl Opus
%
% You can use the program OpusGraf to produce a chart from a PRM file.
%
%
%
% This is not exactly a free-form file.  Although leading spaces are
% normally ignored, commands appearing on one line MUST be kept on
% one line.  For example, the two words `Modem COM1' cannot be on
% separate lines.
%
% If the first non-space character is a percent sign (`%') the line
% is treated as a comment.
%
% In the following instructions, you will see the phrase "Uncomment the
% line if....".  The word "Uncomment" means remove the percent sign from
% the beginning of the line.  To "Comment Out" a line means put a percent
% sign at the beginning of a line.
%
%
%
% FOR ADVANCED USERS ONLY: The explanation of the comment character isn't
% exactly true but it's the simple way of saying it.  Actually, YOU control 
% what the comment character is.  If the first non-space character is some 
% kind of punctuation, then that character becomes the comment character 
% for the entire file.  You can replace the percent signs with a semi-colon 
% in you are inflicted by such a burning desire.
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% MODEMS AND EQUIPMENT
% ---------------------------------------------------------------------
%
%
%      * MAXIMUM BAUD FOR YOUR MODEM
%
%        How fast can YOUR system run?  You'll find additional commands
%        that deal with a caller's baud rate under "About Callers" (below).
%
% Baud 19200
% Baud 9600
% Baud 4800
Baud   2400                % The maximum speed of your modem
% Baud 1200
%
%
%
%
%
%
%      * INITIALIZATION
%
%        The line sent to your modem to set it up.
%        Use `|' for <ENTER>.   Use `~' for a slight pause.
%        The first character in many of these examples is a CONTROL-Q
%        which should "un-thaw" any modems which are locked up.
%
%        --- USR Courier 2400 ---------------
% Modem init |ATQ0E0H0M0V1S0=1X6|
%
%        --- Hayes 2400 ---------------------
% Modem init |AT&F&D2&C1E0S0=1H0M0X4V1&W|
%
%        --- Hayes 1200 ---------------------
% Modem init |ATQ0E0S0=1H0M0X4V1|
%
%
%
%
%
%      * SETUP THE PORT
%
%        The command `keyboard' is practically useless because Opus lets
%        you get into keyboard mode ("test mode") at any time.
%
%        If you leave all three of these items commented-out, then Opus
%        will use COM1:.
%
% Keyboard               % Use the sysop's keyboard instead of modem
% Modem COM1             % Use Comm Port #1  <-- DEFAULT: used if all have `%'
% Modem COM2             % Use Comm Port #2
%
%
%
%
%
%
%      * LOOKING BUSY
%
%        Sometimes the system needs to appear busy to a caller.  Maybe 
%        is automatically unpacking and tossing inbound echomail, or maybe
%        you are using the system in keyboard mode.  There are two ways to
%        look busy:
%
%                 DTR      The "official" way of doing things.  The modem
%                          is rendered incapable of answering the phone.
%                          A caller gets no answer.
%
%                 OFFHOOK  Plan "B" is to take your modem off hook, which
%                          is like picking up a telephone handset and
%                          setting it on the table.  Callers get a busy
%                          signal.  Although this method is friendlier to
%                          callers (because they know the system is busy 
%                          instead of broken), some telephone equipment
%                          prevents using this method.
%
Modem DTR
% Modem OFFHOOK
%
%
%
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% GETTING ALONG WITH OTHER SYSTEMS
% ---------------------------------------------------------------------
%
%
%
%      * MULTI-TASKING SUPPORT
%
%        Opus needs to waste time for various reasons. One such case is 
%        when it's sitting around waiting for a caller.  If you are running 
%        DoubleDos, you can tell Opus to release its time to the other 
%        DoubleDos partition instead of grinding out processor instructions
%        to waste time.  This way, the other task running under DoubleDos 
%        should perk up and come close to optimal speed for your computer ...
%        when Opus doesn't really need to have its share of the time-slice.
%        Do not expect this feature to work unless you have a relatively new 
%        release of DoubleDos.  If Opus "stalls" then remove the DoubleDos 
%        declaration.  To answer a common question ... YES, Opus has been
%        tested running on both DoubleDos partitions.  It was designed to
%        be implemented in a multi-tasking environment.
%
% DoubleDos
%
%
%
%
%
%
%      * SEADOG SUPPORT
%
%        Seadog can pass Opus several tidbits... the baud rate of a caller
%        and the number of minutes until the next event.  Those items can
%        be part of the COMMAND LINE (not the control file).
%
%
%                 COMMAND-LINE OPTIONS:
%
%                 -b1200   ... a command-line option that says there is a
%                              caller connected at 1200 baud.  Opus considers
%                              it an error to use this option when there is
%                              nobody on-line.
%
%                 -t30     ... a command-line option that tells Opus how
%                              many minutes until the next event.  This is
%                              a general over-ride for events.  If Opus
%                              finds an event that would come sooner than
%                              the time given on the command-line, Opus
%                              ignores the command-line `-t' option and goes
%                              for the internal event.  In this example,
%                              you would be telling Opus that there is an
%                              event in 30 minutes.
%
%                 -p1      ... a command-line option that tells Opus which
%                              communications port to use.  Two are currently
%                              supported: 1 and 2.
%
%        Please refer to your Seadog documentation for information on
%        setting up a batch file to handle all of this.  Opus makes these
%        command-line interfaces available to help Seadog users.  They were
%        designed and implemented on the basis of informal second-hand
%        information about Seadog's operation.  They are unofficial `hooks'
%        into Opus at this point.  They are not guaranteed to remain or to
%        be compatible with any particular version of Seadog.
%
%        See "The Matrix" (below) for some more goodies associated with what
%        we understand to be SEAdog-related features.
%
%
%        You can make Opus exit after a caller hangs up by using the EXIT 
%        command.  The word `exit' should be followed by a number from
%        0 to 255.  The number will be the DOS ERRORLEVEL set when
%        Opus exits.  You should be aware that Opus uses the very lowest
%        numbers. To avoid confusion, don't pick an ERRORLEVEL less than 4.
%
% Exit 5
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% JUST FOR SYSOPS
% ---------------------------------------------------------------------
%
%
%      * SYSOP'S NAME
%
%        The sysop's name.  Don't put any COMMENT material on the
%        line.  Just put the word `sysop' then your name.
%
%        Examples: Sysop Adam Bomb
%                  Sysop Ralph
%
Sysop Sysop
%
%
%
%
%
%      * SYSTEM LOG
%
%        If you don't specify a log file, then there will be NO log!
%        The word on the left ("Log") is the command that tells Opus_Ctl
%        to expect the log name.  The rest of the line is the name of 
%        the file you want Opus to use for logging.  This can be a
%        fully qualified name (ie. Drive/Path/Name/Extension).
%
Log C:\Opus\Opus.Log
%
%
%
%
%
%      * FEEDBACK
%
%        On the sysop's monitor and in the log, you can control the 
%        amount of information included.  If you leave of the following 
%        words `commented-out' then you will get a normal log.  If you 
%        remove the percent sign from VERBOSE, the log will be a total 
%        audit trail requiring lots and lots of disk space on a busy 
%        system.  The TERSE log will show you only major events (eg. 
%        User name change and serious system errors).
%
%        For a regular log, leave ALL of these lines commented.
%
% Trace All            % Gives painfully tedious details on everything
% Verbose              % Means put lots of information in the log
% Terse                % Means do a brief sysop log
%
%
%
%
%
%      * SYSOP'S MONITOR
%
%        With SNOOP, you can watch everything.  If you don't ask for SNOOP, 
%        then all you'll see is a status screen. A `%' in front of `snoop' 
%        disables SnoopMode.
%
%        If you leave SNOOP off then Opus puts additional status information
%        on the monitor.  With it turned on, most of that information is
%        supressed.
%
%        Note: you can also turn SNOOP on/off using a keyboard command.
%
% Snoop
%
%
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% THE MATRIX
% ---------------------------------------------------------------------
%
%
%
%
%      * AMATEUR EMAIL NETWORK
%
Path NetInfo  C:\Fido\     % location of the NODELIST files
%
%
%
%
%
%      * CONTINUOUS INCOMMING MAIL
%
%        --- If you DON'T want to accept crash mail (network mail
%            sent outside of regular schedules), `uncomment' this:
% MATRIX Refuse crashmail
%
%
%        --- After Opus receives mail, you can exit the program with a
%            DOS ERRORLEVEL set.  This is for those who need to do
%            special message/file processing after an incomming packet.
%            The most obvious use is EchoMail's Scan.  The use of the
%            term "crashmail" in this case is a little mis-leading...
%            if you tell Opus to unpack messages using the `-u' option
%            on the command line, it will also exit after unpacking
%            if you have the following line uncommented.
% MATRIX After crashmail exit 6
%
%
%
%
%
%
%      * IFNA<tm> kludge display
%
%        --- The International FidoNet<tm> Association has devised a
%            way for systems using their amateur e-mail network to
%            talk with other programs.  You can set the priv.level allowed
%            to see that inter-program communication...
%
MATRIX Kludge HIDDEN
% MATRIX Kludge SYSOP
% MATRIX Kludge ASSTSYSOP
% MATRIX Kludge EXTRA
% MATRIX Kludge PRIVEL
% MATRIX Kludge NORMAL
% MATRIX Kludge DISGRACE
% MATRIX Kludge TWIT
%
%
%
%
%
%
%
%
%      * ARCHIVED (compressed) MAIL  
%
%        --- When ArcMail is "crashed" to your board, you can tell Opus
%            to automatically extract the compressed packets.  If you 
%            use this feature, the program ARCE must be available on
%            your DOS path.  ARCE is not Opus software, and is not
%            supplied with this system.
MATRIX Extract ARCmail
%
%
%
%        --- For those who don't have the memory to run ARCE, we have a
%            way to exit Opus after incomming ARCmail.  This can be used
%            in combination with the command-line option `-u' which tells
%            Opus to immediately try to unpack/toss messages.  Here's an
%            excerpt from a batch file to handle this:
%
%                          :Start
%                          Opus %1 %2 %3 %4 %5
%
%                          :Conditions
%                          if ErrorLevel 10 goto DoArc
%                          if ErrorLevel  1 goto End
%                          Goto Start
%
%                          :DoArc
%                          ARCE C:\OPUS\NETFILES\*.SU?
%                          if ErrorLevel 1 goto Monday
%                          del C:\OPUS\NETFILES\*.SU?
%
%                          :Monday
%                          ARCE C:\OPUS\NETFILES\*.MO?
%                          if ErrorLevel 1 goto Tuesday
%                          del C:\OPUS\NETFILES\*.MO?
%
%                          :Tuesday
%                          ARCE C:\OPUS\NETFILES\*.TU?
%                          if ErrorLevel 1 goto Wednesday
%                          del C:\OPUS\NETFILES\*.TU?
%
%                          :Wednesday
%                          ARCE C:\OPUS\NETFILES\*.WE?
%                          if ErrorLevel 1 goto Thursday
%                          del C:\OPUS\NETFILES\*.WE?
%
%                          :Thursday
%                          ARCE C:\OPUS\NETFILES\*.TH?
%                          if ErrorLevel 1 goto Friday
%                          del C:\OPUS\NETFILES\*.TH?
%
%                          :Friday
%                          ARCE C:\OPUS\NETFILES\*.FR?
%                          if ErrorLevel 1 goto Saturday
%                          del C:\OPUS\NETFILES\*.FR?
%
%                          :Saturday
%                          ARCE C:\OPUS\NETFILES\*.SA?
%                          if ErrorLevel 1 goto Unpack
%                          del C:\OPUS\NETFILES\*.SA?
%
%                          :Unpack
%                          Opus %1 %2 %3 %4 %5 -u
%                          Goto Conditions
%
%                          :End
%
%            Here's the command to tell Opus to exit after incomming ARCmail:
%
% MATRIX After Arcmail exit 10
%                          
%
%
%
%
%
%
%      * ECHOMAIL SUPPORT  
%
%        Direct support for Jeff Rush's Echomail system.  These commands
%        apply only to message areas declared as Echo Areas using the
%        sysop-only `1' command.
%
%        --- When incomming Echomail messages arrive, you can tell Opus
%            to "toss" them to the correct message areas as it unpacks
%            the messages.  This is roughly the same thing that Jeff Rush's
%            TOSSMAIL program does ... but it saves time by avoiding a
%            temporary stop-over in your regular matrix message area.
%
MATRIX Toss Echomail
%
%
%
%        --- To disable the "SEEN-BY:" route audit information, set the 
%            minimum priv allowed to see the line to HIDDEN.  To let 
%            everybody see the lines to TWIT.
%
Echo Seenby HIDDEN
% Echo Seenby SYSOP
% Echo Seenby ASSTSYSOP
% Echo Seenby EXTRA
% Echo Seenby PRIVEL
% Echo Seenby NORMAL
% Echo Seenby DISGRACE
% Echo Seenby TWIT
%
%
%
%
%
%      * PRE-DEFINED BEHAVIOR OF MATRIX MESSAGES
%
%        --- To get Opus to make a network message behave the way
%            you want, uncomment any of the following.  Note that only
%            one attribute can appear on a line, but you can have as
%            many lines as you need.  The items from CRASHMAIL to the
%            end of the list make sense only if you are running SEAdog.
%            The "Private?" question depends on how you have the setting
%            for the message area itself (See the documentation for the
%            sysop-only command `1' for information on the behavior of
%            message areas.)  
%
MATRIX ASSUME Kill/sent
% MATRIX ASSUME File Attach
% MATRIX ASSUME Crashmail
% MATRIX ASSUME File Request
% MATRIX ASSUME File Update Request
% MATRIX ASSUME Audit trail
% MATRIX ASSUME Receipt Requested
%
%
%        --- Opus will ask about various things, if you want it to.
%            The "Private?" question depends on how you have the setting
%            for the message area itself (See the documentation for the
%            sysop-only command `1' for information on the behavior of
%            message areas.)  You can, however, get Opus to ask about
%            other message attributes which deal with matrix messages.
%            Only one attribute can appear on a line, but you can have
%            as many lines as you need.  The items from CRASHMAIL through 
%            the end of the list make sense only if you are running SEAdog.
%
% MATRIX ASK Kill/sent
MATRIX ASK File Attach
% MATRIX ASK Crashmail
% MATRIX ASK File Request
% MATRIX ASK File Update Request
% MATRIX ASK Audit trail
% MATRIX ASK Receipt Requested
%
%
%
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% ABOUT CALLERS: in general
% ---------------------------------------------------------------------
%
%
%
%      * GRAPHICS
%
%        Set the minimum baud allowed to use graphics.
%        To totally disable graphics, set the baud rate to 32700.  If it
%        were my system, I sure wouldn't allow graphics for 300 baud'ers!
%        But it's not my system... do what you want.
%
%        Note: Don't use a baud rate above 32700 !
%
%        Note: Using graphics requires that an Ansi device driver be
%              installed on YOUR computer.  This is a temporary limitation.
%              Callers have the OPTION of using graphics.
%
% Graphics 32000
% Graphics 19200
% Graphics 9600
% Graphics 4800
% Graphics 2400
Graphics 1200
% Graphics 300
%
%
%
%
%
%
%      * MINIMUM BAUD FOR CALLERS
%
%        Just because the following lines are available does not mean that
%        anybody associated with Opus recommends that you use them.  If
%        you configure your system to require a mimimum baud rate, you
%        should also be prepared to listen to complaints.
%
% Minimum 19200           % Nobody let on-line less than 19.2 kilobaud
% Minimum 9600            % Nobody let on-line less than 9600 baud
% Minimum 4800            % Nobody let on-line less than 4800 baud 
% Minimum 2400            % Nobody let on-line less than 2400 baud
% Minimum 1200            % Nobody let on-line less than 1200 baud
%
%
%
%
%
%
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% ABOUT CALLERS: newcommers
% ---------------------------------------------------------------------
%
%
%      * SETUP THE LOGON
%
%        Controls how the system treats first time callers.
%        If you don't say anything about new callers, they
%        will be allowed on-line with a NORMAL access.  The
%        system will refuse to go on-line if you tell it to
%        let new users on with a level greater than EXTRA.
%
% Logon level TWIT         % New callers are let on as Twit
% Logon level DISGRACE     % New callers are let on as Disgrace
% Logon level NORMAL       % New callers are let on as Normal
% Logon level PRIVEL       % New callers are let on as Privel (DANGEROUS)
% Logon level EXTRA        % New callers are let on as Extra  (DANGEROUS)
% Logon PRE-REGISTERED     % No new callers are let on
%
%
%
%
%      * QUESTIONNAIRE
%
%        New callers are given an application or questionnaire.  
%
%        If you have a questionnaire AND set the logon to PRIVATE .... 
%        new users will answer the questionnaire then be logged off.
%        Otherwise, they'll be allowed into your system at whatever 
%        access you set (above).
%
%        Note: If you use this, make doubly sure you have set 
%              "Uses Application" and "File ApAnswers" (below).
%
Logon QUESTIONNAIRE
%
%
%
%
%
%
%
%
%
%
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% ABOUT CALLERS: privilege levels
% ---------------------------------------------------------------------
%
%
%
%        Maximum duration for one call
%
Define TWIT       time  15
Define DISGRACE   time  30
Define NORMAL     time  45
Define PRIVEL     time  45
Define EXTRA      time  80
Define ASSTSYSOP  time  90
Define SYSOP      time 100
%
%
%
%
%        Maximum cumulative time allowed for one day
%        Also see the LOGON SUPPORT FILE "daylimit" (below)
%
Define TWIT       cume  15
Define DISGRACE   cume  30
Define NORMAL     cume  45
Define PRIVEL     cume  45
Define EXTRA      cume  80
Define ASSTSYSOP  cume  90
Define SYSOP      cume 100
%
%
%
%
%        Minimum baud rates to get on-line
%        See the LOGON SUPPORT FILE "tooslow" (below)
%
Define TWIT       logon baud 2400
Define DISGRACE   logon baud 1200
Define NORMAL     logon baud 1200
Define PRIVEL     logon baud 1200
Define EXTRA      logon baud 1200
Define ASSTSYSOP  logon baud 1200
Define SYSOP      logon baud 1200
%
%
%
%
%        Minimum baud rates for file transfer
%        Also, see the FILE SECTION SUPPORT FILE "xferbaud" (below)
%
Define TWIT       file baud  1200
Define DISGRACE   file baud  1200
Define NORMAL     file baud  1200
Define PRIVEL     file baud  1200
Define EXTRA      file baud  1200
Define ASSTSYSOP  file baud  1200
Define SYSOP      file baud  1200
%      
%
%
%
%
%
%        Maximum number of kilobytes downloadable in a single day
%
Define TWIT       file limit  100
Define DISGRACE   file limit  200
Define NORMAL     file limit  300
Define PRIVEL     file limit  400
Define EXTRA      file limit  400
Define ASSTSYSOP  file limit  400
Define SYSOP      file limit  400
%      
%
%
%
%
%
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% SUPPORT FILES
% ---------------------------------------------------------------------
%
%        The format used for each line is "SHOW WHAT FILENAME"
%
%        Each line here must begin with "Uses" or "File".  The word "USES" 
%        means the file is mandatory and the system won't continue without
%        it. The word "FILE" is less severe: no check is made to see if the
%        file exists.
%
%        The file name can include a drive and/or path.  Any file extension
%        will be ignored... so you might as well save time and not type one.
%
%        The system allocates memory for this information depending on the
%        length of the data.  That means, if you have a memory problem you
%        should probably run everything in the default drive and NOT use 
%        a drive or path.  The extra path information is mainly for those 
%        who have special cases or run their system from a RamDisk.
%
%        In general, we've put the support files which don't change very
%        often into a sub-directory called MISC.  With this idea in mind,
%        you would find your QUESTIONNAIRE and your QUOTES files in the
%        Opus\Misc sub-directory... while your USER and ANSWER files would
%        be in the Opus sub-directory itself.  We did this so (1)you don't
%        have a zillion files in the Opus sub-directory to look at and
%        (2)Dos doesn't have a zillion files to scan to find the one 
%        it needs.  Feel free to change this arrangement to suit your own
%        needs.
%
%
%
%
%
%        * SYSTEM-LEVEL SUPPORT FILES
%
%                 --- Path to the SYSTEM?.BBS and ????PRIV.BBS files
%                     Note the final backslash: it is NOT optional
Path system       C:\Opus\
%
%
%                 --- Miscellaneous file path.  Files such as F1.BBS, F2.BBS,
%                     ... F10.BBS, and the WHY_?.BBS files should be on the
%                     path you specify here.
Path FPath        C:\Opus\Misc\
%
%
%                 --- User records (names, passwords, etc)
%                     Note that Opus CAN share this file with other<tm>
%                     systems.
Uses password     C:\Opus\User
%
%
%                 --- The Event file
Uses schedule     C:\Opus\Sched
%
%
%
%
%
%
%        * LOGON SUPPORT FILES
%
%                 --- File shown before callers are asked their name
Uses logo         C:\Opus\Misc\logo
%
%
%                 --- File shown after a caller is logged on.
%                     NOTE: In Opus, the files NEWUSER2 and ROOKIE can
%                           replace this file in certain circumstances.
Uses welcome      C:\Opus\Misc\welcome
%
%
%                 --- File shown after a caller is logged on
%                     if the caller has been on 7 or fewer times.
%                     This is a new type of file not found in other systems.
%                     If present, it REPLACES the Welcome file for callers
%                     who are still relatively new to the board.
Uses rookie       C:\Opus\Misc\Rookie
%
%
%                 --- File shown after Welcome2 and available on the main
%                     menu.
Uses bulletin     C:\Opus\Misc\bulletin
%
%                 NOTE: In addition to these, you can have a special logon
%                       message directed at an individual.  Just put a file
%                       on your Opus sub-directory with the user's record
%                       number (eg "120.BBS" or "136.GBS") and the caller
%                       will see that file instead of the WELCOME file.
%                       If you use this, it is important that you realize
%                       that Opus begins its numbering with ZERO instead of
%                       ONE.  Bernie Lawrence's REMSYSOP program will tell
%                       you the user's number correctly.  If you use some
%                       other method, you need to be sensitive to our 0-based
%                       numbering system.  ALSO... if you sort your user
%                       file, you will have to manually adjust any custom
%                       logon file names.
%
%                 --- Questionnaire used by PRIVATE-ONLY and REGISTER-FIRST
Uses application  C:\Opus\Misc\qnopwd
%
%
%                 --- New user responses are written to this file.  It is
%                     provided ONLY if you insist on running older Fido<tm>
%                     type answer files.  The sample questionnaire that
%                     comes with the Opus system shows you how to let Opus
%                     create the answer file using a command embedded in 
%                     the questionnaire.  Opus does NOT guarantee any
%                     continued support of this item beyond version 0.
% File appanswers   C:\Opus\Anopwd
%
%
%                 --- File shown to new users before the system asks
%                     for a password.  This probably should explain what
%                     a password is ... and go through any House Rules.
Uses newuser1     C:\Opus\Misc\newuser1
%
%
%                 --- File shown to new users before the bulletin file.
%                     Unlike Fido, in Opus this file REPLACES the Welcome 
%                     file for first-time callers.
Uses newuser2     C:\Opus\Misc\newuser2
%
%
%                 NOTE: The newuser2 file is used on PRIVATE systems, too.
%                       Unlike other systems, its use here is based solely
%                       on the number of calls a user has made.
%
%                 --- Shown to users just before they are given the old
%                     ignomineous toodle-ooo for being on-line too long.
%                     After this file is shown, the system displays the
%                     precise numbers involved for evidence.
Uses DayLimit     C:\Opus\Misc\daylimit
%
%
%                 --- If a user isn't fast enough (baudwise) to get on-line
Uses TooSlow      C:\Opus\Misc\TooSlow
%
%
%
%
%
%
%
%
%
%        * FILES USED IN AND AROUND THE MAIN MENU
%
%                 --- File shown when E is fondled on the main menu
Uses edtorial     C:\Opus\Misc\edtorial
%
%
%                 --- File used in A)nswer-questionnaire on main menu
Uses questionnaire C:\Opus\Misc\question
%
%
%                 --- File to store answers to questionnaire
%                     This item is provided for Fido<tm> compatibility only.
%                     Opus has commands which you can embed into the question
%                     file to create an answer file.  The embedded command
%                     is preferred.  In fact, Opus does not guarantee that
%                     this older method will be maintained beyond version 0.
%                     Sample questionnaires using the new method are in
%                     the "MSC" archive.
% File answer       C:\Opus\Answer
%
%
%
%
%
%        * LORE: The Line-Oriented Editor
%
%                 --- Novice users are presented with this file when they
%                     get into the message editor.  It's instructions on
%                     using the editor.
File edit         C:\Opus\Misc\Editor
%
%
%                 --- Extra help for novice users who pick R)EPLACE
%                     command in the message editor.
File replace      C:\Opus\Misc\Rep_Edit
%
%
%
%
%        * MESSAGE SECTION SUPPORT FILES
%
%                 --- Extra help for the message I)nquire command
Uses Inquire      C:\Opus\Misc\inquire
%
%                 --- When a user needs to list your message areas, Opus
%                     can get the list from one of 3 places: the subdirectory
%                     name (See "Show SubDirectory Name" below), from 
%                     individual description files in each subdirectory
%                     ("Dir.Bbs" files), or from a single file.  To use the
%                     single file for message area listings, uncomment the
%                     following line and prepare a MSGAREA.BBS (or GBS) 
%                     file.  Note that this does NOT do away with the
%                     need for a Dir.Bbs file.  Opus still needs that file
%                     for other reasons.  This single file is for listing
%                     speed/efficiency and for general creativity.
% Uses msgarea C:\Opus\Misc\MsgArea
%
%
%
%
%
%
%
%        * FILE SECTION SUPPORT FILES
%
%                 --- Extra help for the file L)ocate command
Uses Locate       C:\Opus\Misc\locate
%
%
%                 --- Extra help for the file C)ontents command
Uses Contents     C:\Opus\Misc\contents
%
%
%                 --- If a user isn't fast enough for file transfer
Uses XferBaud     C:\Opus\Misc\XferBaud
%
%                 --- The file area listing file looks like the following.
%                     It does for file areas what "msgarea" (above)
%                     does for message areas.
% Uses filearea C:\Opus\Misc\FileArea.Bbs
%
%
%
%
%
%
%        * ADVENTURES
%
%                 --- Displayed before a user goes O)utside
% Uses Outside    C:\Opus\Misc\Leaving
%
%
%                 --- Displayed after a user returns from O)utside on the
%                     RUN and DOS methods of Outside.
% Uses Return     C:\Opus\Misc\Return
%
%
%
%
%
%
%        * MISCELLANEOUS
%
%                 --- A file containing pearls of wisdom.  
%                     Material is used based on embedded characters in
%                     other BBS/GBS files.  There is no automatic display
%                     of a quote.  See the sysop docs for information on
%                     embedded control characters in BBS/GBS files.
Uses quotes       C:\Opus\Misc\quotes
%
%
%
%                 --- Warn the user that his/her time is almost gone
Uses TimeWarn     C:\Opus\Misc\timewarn
%
%
%
%
%
%
%
%
%
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% OUTSIDE AND THE ZERO COMMAND
% ---------------------------------------------------------------------
%
%        There are two ways outside of Opus: the O)utside command on the main
%        menu and the 0-command available to sysops on any menu.  Each of the
%        items below require additional information. EXIT needs an errorlevel.
%        DOS needs a Dos command of some sort.  CHAIN and RUN should have the
%        name of a program on your path with any optional parameters required.
%
%        NOTE: These are all risky and require lots of memory.
%              The preferred method is "run".
%
%        NOTE: Don't expect anything other than EXIT to work with DOS 2.
%
%
%
% Outside Exit  5          % ... terminate Opus with a Dos ErrorLevel set
% Outside Chain prgmname   % ... pass control to another program
% Outside Dos   prgmname   % ... do any Dos command (uses Command.Com)
% Outside Run   prgmname   % ... "spawn" a child process then return
%
%
% Zero Exit     50
% Zero Chain    prgmname
% Zero Dos      prgmname
% Zero Run      prgmname
%
%
%
%
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% MESSAGE SECTION: miscellaneous matters not covered elsewhere
% ---------------------------------------------------------------------
%
%      * MESSAGE AREA MAINTENANCE
%
%        If your disk drive is short on free space, you may want to
%        encourage or even force received private messages to be deleted.
%        These commands apply only to PRIVATE messages which have been
%        RECEIVED.  Only one of the following should be `uncommented.'
%
%        --- To force deletion of all private messages immediately after
%            the recipient reads the message:
% Kill Always
%
%
%        --- To get Opus to ask the user if it's okay to delete a private
%            message to him/her:  (A sender also gets this message after
%            reading a message already read by the recipient.)
Kill Ask
%
%
%        --- To avoid the whole issue:
% Kill Never
%
%
%
%
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% FILE SECTION: miscellaneous matters not covered elsewhere
% ---------------------------------------------------------------------
%
%      * UPLOADED FILE DATES
%
%        Upload dates can be automatically handled by the system using
%        the file date.  If you want, you can tell Opus to physically
%        insert the upload date into FILES.BBS ... or totally ignore
%        the file date.
%
%        Automatic dating means that no date is in the FILES.BBS file.
%        Instead, Opus uses the file date from the DOS directory for
%        file listings.  This also enables the NEW FILES feature: an
%        asterisk by the date if the file was added since the caller's
%        last session.
%
%        To use automatic dating, do NOTHING here.  All statements should
%        be `commented out'.
%
%        To have Opus insert the upload date into FILES.BBS, uncomment
%        one of these lines.
%
% date yymmdd
% date mm/dd/yy
% date mm-dd-yy
% date dd mmm yy
% date dd mmm yyyy
%
%
%        If you want to completely ignore file dates (no display, nothing
%        in FILES.BBS, uncomment the following:
%
% date none
%
%
%
%
%      * EXTERNAL FILE TRANSFER PROGRAMS
%
%        The current version of Opus uses some stand-alone programs for
%        some file transfer protocols.  This is probably not a permanent 
%        arrangement.
%
%        If you do not care to support these protocols, make sure the
%        lines are commented out.
%
%        Opus itself comes with absolutely no guarantee or warranty, and
%        the use of any stand-alone program has even less of a guarantee.
%        These programs cannot be expected to operate correctly on all
%        computers.
%
%        (Do NOT put comments on the following lines.)
%
External Kermit C:\OPUS\CKermit.Exe
%
External WXmodem C:\OPUS\WXmodem.Com
%
External ZModem C:\OPUS\DSZ.Exe
%
%
%
%
%
%
%
%
%
%
% ---------------------------------------------------------------------
% TRULY MISCELLANEOUS: no other spot
% ---------------------------------------------------------------------
%
%      * MESSAGE/FILE AREA LISTINGS
%
%        There are three methods Opus can use when a user wants a listing
%        of your message or file areas:
%
%                 1. Show a single file.  See MESSAGE SUPPORT FILES and
%                    FILE SUPPORT FILES (above)
%                 2. Individual DIR.BBS files like Fido<tm> 11w uses.
%                    This is the method Opus uses when you don't ask for
%                    one of the other methods.
%                 3. Sub-directory names.
%
%        If the next line has no percent sign, then message
%        and file areas will be shown using the name of the
%        sub-directory.  If this line is `commented out' then
%        the system will display the file DIR.BBS located in
%        each sub-directory as the description of the area.
%        (See also "Uses MsgArea" and "Uses FileArea" above)
%
% Show subdirectory names
%
%
%
%
%
%
%
%
%
%                                     ###

